Skip to content
Bulma Frontend Preset For Laravel Framework 5.5 and Up
Branch: master
Clone or download
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
screenshots Add screenshots Nov 16, 2017
src Update Bulma and extension versions Feb 9, 2019
.gitignore
README.md
composer.json

README.md

Bulma Frontend Preset For Laravel Framework 5.5 and Up

Bulma Frontend Preset For Laravel Framework 5.5 and Up

Current version: Bulma v0.7.4 + Bulma Extensions v4.0.2

Usage

  1. Fresh install Laravel 5.5 (and up) and cd to your app.
  2. Install this preset via composer require laravel-frontend-presets/bulma. No need to register the service provider. Laravel 5.5 & up can auto detect the package.
  3. Use php artisan preset bulma for basic Bulma preset. OR Use php artisan preset bulma-auth for basic preset, Auth route entry and Bulma Auth views in one go.
  4. npm install
  5. npm run dev
  6. Configure your favorite database (mysql, sqlite etc.)
  7. php artisan migrate to create basic user tables.
  8. php artisan serve (or equivalent) to run server and test preset.

Bulma Pagination Template

  1. Upto Laravel 5.6 - Vendor publish and replace the code from here default.blade.php
  2. Laravel 5.7 and up - Vendor publish and replace the code from here bootstrap-4.blade.php

Bulma Extensions

  1. It is a set of missing Bulma.io functionalities in the form of extensions. More info at https://wikiki.github.io/
  2. Adjust bulma.sass, bulma-extensions.sass, bulma-extensions.js and app.js as needed.

Screenshots

Bulma login screen

You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.